# Confirm Clearing Order

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Clearing", href: "/trading/rest-api/clearing" },
    { label: "Confirm Clearing Order" },
  ]}
  title="Confirm Clearing Order"
  method="POST"
  url="https://api.gemini.com/v1/clearing/confirm"
  description="Confirm the counterparty side of a bilateral clearing order before it is settled."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/clearing/confirm",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/clearing/confirm",
        nonce: "<nonce>",
        clearing_id: "OM9VNL1G",
        symbol: "btcusd",
        amount: "100",
        price: "9500.00",
        side: "sell",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>clearing:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="confirmClearingOrder" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="confirmClearingOrder" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="confirmClearingOrder" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Cancel Clearing Order", href: "/trading/rest-api/clearing/cancel-clearing-order" }}
  next={{ label: "List Clearing Orders", href: "/trading/rest-api/clearing/list-clearing-orders" }}
/>
